Cache Step
Retrieves a paginated list of Add to Cache steps associated with company caches, across all process flows. Specify a flow_id query parameter for a list of Add to Cache steps associated with any cache type, for the given flow.
API key passed in the Authorization header. Format: <api-key>
Successful response
Unauthenticated
Unauthorized
Too Many Requests. The rate limit for this user has been reached.
GET /api/v1/cache-step HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
"data": [
{
"id": 0,
"name": "string",
"scope": "string",
"ttl": 0,
"flow_id": 0,
"flow": {
"id": 0,
"name": "string"
},
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z"
}
],
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "https://api.example.com/api/v1/cache-step",
"per_page": 15,
"to": 1,
"total": 1
},
"links": {
"first": "https://api.example.com/api/v1/cache-step?page=1",
"last": "https://api.example.com/api/v1/cache-step?page=1",
"prev": null,
"next": null
},
"max_ttl": 0
}Creates a new cache step.
API key passed in the Authorization header. Format: <api-key>
Successful response
Unauthenticated
Unauthorized
Validation Error
Too Many Requests. The rate limit for this user has been reached.
POST /api/v1/cache-step HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 101
{
"scope": "example_scope",
"flow_id": 1,
"ttl_unit": "example_ttl_unit",
"ttl_number": "example_ttl_number"
}{
"data": {
"id": 1,
"scope": "example_scope",
"flow_id": 1,
"ttl_unit": "example_ttl_unit",
"ttl_number": "example_ttl_number",
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z"
}
}Retrieves the details of a specific cache step.
API key passed in the Authorization header. Format: <api-key>
The cache step identifier.
Successful response
Unauthenticated
Unauthorized
Not Found. The record does not exist.
Too Many Requests. The rate limit for this user has been reached.
GET /api/v1/cache-step/{cache_step} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
"data": [
{
"id": 0,
"name": "string",
"scope": "string",
"ttl": 0,
"flow_id": 0,
"flow": {
"id": 0,
"name": "string"
},
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z"
}
],
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "https://api.example.com/api/v1/cache-step",
"per_page": 15,
"to": 1,
"total": 1
},
"links": {
"first": "https://api.example.com/api/v1/cache-step?page=1",
"last": "https://api.example.com/api/v1/cache-step?page=1",
"prev": null,
"next": null
},
"max_ttl": 0
}Last updated
Was this helpful?